package com.persagy.entity;


import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * 缓存云端返回的报警记录id
 */
@ApiModel(value = "缓存报警记录id")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name = "alarm_record_ids_cache")
public class AlarmRecordIdsCache implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 报警记录ID
     */
    @Id
    private String id;


}