package com.persagy.enumeration;

/**
 * @description: 报警定义状态枚举类
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2021/2/2 11:53 上午
 * @version: V1.0
 **/
public enum AlarmDefineStateEnum {
    NORMAL("1", "正常"),
    NOT_DEAL("2", "未处理"),
    EXPIRED("3", "已过期");

    private String value;
    private String desc;

    AlarmDefineStateEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }
}
